package com.gh.gamecenter.core.provider

import com.therouter.inject.Singleton

@Singleton
interface IBuildConfigProvider {
    fun getApplicationId(): String

    fun getVersionName(): String

    fun getExposureVersion(): String

    fun isDebug(): Boolean

    fun isGATApp(): Boolean

    fun getApiHost(): String

    fun getDevApiHost(): String

    fun getNewApiHost(): String

    fun getNewDevApiHost(): String

    fun getVApiHost(): String

    fun getVDevApiHost(): String

    fun getWGameCPMApiHost(): String

    fun getLogProducerProject(): String

    fun getWGameCPMBusiAppId(): String

    fun getDspApiHost(): String
}